
{ config, pkgs, inputs, ... }:

{
  imports =
    [
      ../shared/shared-configuration.nix
      ./kernighan-hardware.nix
      #./services/git.nix
      #./services/nginx.nix
    ];

  networking = {
    hostName = "kernighan";
    firewall = {
      enable = false;
    };
  };

  systemd.network.enable = true;
  systemd.network.networks."10-wan" = {
    matchConfig.Name = "ens3"; # either ens3 (amd64) or enp1s0 (arm64)
    networkConfig.DHCP = "ipv4";
    address = [
      "2a01:4f9:c012:72e3::/64"
    ];
    routes = [
      { routeConfig.Gateway = "fe80::1"; }
    ];
  };

  boot = {
    loader.systemd-boot.enable = true;
    loader.efi.canTouchEfiVariables = true;
    initrd.kernelModules = [ "virtio_gpu" ];
    kernelParams = [ "console=tty" ];
  };

  environment.systemPackages = with pkgs; [
    git
    vim
  ];
}
